Bug 3538 - Comma error in greek keyboard (arithmetic keypad)
Summary: Comma error in greek keyboard (arithmetic keypad)
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: App/xkbcomp (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords: l10n
Depends on:
Blocks:
 
Reported: 2005-06-15 02:40 UTC by Daniel Stone
Modified: 2005-10-03 17:34 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FreeDesktop Bugzilla Database Corruption Fix User 2005-06-15 02:40:19 UTC
I have noticed that in the greek keyboard (el) under xkbcomp/symbols and
xkbcomp/symbols/pc the button from the arithmetic keypad does not produce the
correct symbol.

In greek language the floating point symbol is the comma and not the point.
Unfortunately when somebody presses the <KPDL> key (the key marked with [DEL]
[.] in the arithmetic keypad) produces the symbol "period", since it is not at
all defined in this layout.

for this reason I present you 2 patches for the corresponding el files:


--- xkbcomp/symbols/el.old      2005-06-15 12:22:01.000000000 +0300
+++ xkbcomp/symbols/el  2005-06-15 12:24:15.000000000 +0300
@@ -34,6 +34,7 @@
     key <AB09> { [],   [    period,    greater         ]       };
     key <AB10> { [],   [     slash,    question        ]       };
     key <BKSL> { [],   [ backslash,    bar             ]       };
+    key <KPDL> { [],   [ KP_Delete,    comma           ]       };

 };



and 

--- xkbcomp/symbols/pc/el.old   2005-06-15 12:31:42.000000000 +0300
+++ xkbcomp/symbols/pc/el       2005-06-15 12:32:20.000000000 +0300
@@ -36,6 +36,7 @@
     key <AB09> {       [    period,    greater         ]       };
     key <AB10> {       [     slash,    question        ]       };
     key <BKSL> {       [ backslash,    bar             ]       };
+    key <KPDL> {       [ KP_Delete,    comma           ]       };

 };
Comment 1 Simos Xenitellis 2005-07-14 01:53:05 UTC
I like this patch.

The numeric keypad is often used for data entry applications 
and the KP_Delete button is needed to type the greek decimal point separator
(comma).

Applying this patch will also make the Greek X.org layout consistent with the
Greek Windows layout.
Comment 2 Alan Coopersmith 2005-10-04 00:08:16 UTC
Original bug reporter e-mail and comments lost in bugzilla disk death.
xorg-team archives show:

           Summary: Comma error in greek keyboard (arithmetic keypad)
           Product: xorg
           Version: unspecified
          Platform: All
        OS/Version: Linux
            Status: NEW
          Keywords: l10n
          Severity: normal
          Priority: P2
         Component: App/xkbcomp
        AssignedTo: xorg-team at lists.x.org
        ReportedBy: panayotis at panayotis.com


I have noticed that in the greek keyboard (el) under xkbcomp/symbols and
xkbcomp/symbols/pc the button from the arithmetic keypad does not produce the
correct symbol.

In greek language the floating point symbol is the comma and not the point.
Unfortunately when somebody presses the <KPDL> key (the key marked with [DEL]
[.] in the arithmetic keypad) produces the symbol "period", since it is not at
all defined in this layout.

for this reason I present you 2 patches for the corresponding el files:


--- xkbcomp/symbols/el.old      2005-06-15 12:22:01.000000000 +0300
+++ xkbcomp/symbols/el  2005-06-15 12:24:15.000000000 +0300
@@ -34,6 +34,7 @@
     key <AB09> { [],   [    period,    greater         ]       };
     key <AB10> { [],   [     slash,    question        ]       };
     key <BKSL> { [],   [ backslash,    bar             ]       };
+    key <KPDL> { [],   [ KP_Delete,    comma           ]       };

 };



and 

--- xkbcomp/symbols/pc/el.old   2005-06-15 12:31:42.000000000 +0300
+++ xkbcomp/symbols/pc/el       2005-06-15 12:32:20.000000000 +0300
@@ -36,6 +36,7 @@
     key <AB09> {       [    period,    greater         ]       };
     key <AB10> {       [     slash,    question        ]       };
     key <BKSL> {       [ backslash,    bar             ]       };
+    key <KPDL> {       [ KP_Delete,    comma           ]       };

 };          
     
------- Additional Comments From simos74 at gmx.net  2005-07-14 01:53 -------
I like this patch.

The numeric keypad is often used for data entry applications 
and the KP_Delete button is needed to type the greek decimal point separator
(comma).

Applying this patch will also make the Greek X.org layout consistent with the
Greek Windows layout.          
Comment 3 Sergey V. Udaltsov 2005-10-04 10:34:15 UTC
Fixed in CVS by
    include "keypad(comma)"


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.